<?php

namespace Drupal\commerce_byjuno\Client\CreditDecision;

/**
 * Class representing ExtraInfoTypeType
 *
 *
 * XSD Type: ExtraInfoTypeType
 */
class ExtraInfoTypeType
{

    /**
     * @var string $name
     */
    private $name = null;

    /**
     * @var string $value
     */
    private $value = null;

    /**
     * Gets as name
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Sets a new name
     *
     * @param string $name
     * @return self
     */
    public function setName($name)
    {
        $this->name = $name;
        return $this;
    }

    /**
     * Gets as value
     *
     * @return string
     */
    public function getValue()
    {
        return $this->value;
    }

    /**
     * Sets a new value
     *
     * @param string $value
     * @return self
     */
    public function setValue($value)
    {
        $this->value = $value;
        return $this;
    }


}

